=== debian/changelog ===
wsclean (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 22 Jan 2017 11:17:31 +0100

wsclean (2.1-1) unstable; urgency=low

  * New upstream version 2.1
  * Rediff patches
  * Use default compilation on all architectures

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Dec 2016 21:17:00 +0100

wsclean (2.0-2) unstable; urgency=medium

  * Enable SSE on i386

 -- Ole Streicher <olebole@debian.org>  Sat, 03 Dec 2016 15:14:14 +0100

wsclean (2.0-1) unstable; urgency=low

  * New upstream version 2.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 05 Nov 2016 14:54:28 +0100

wsclean (1.12-6) unstable; urgency=medium

  * Use portable settings to build

 -- Ole Streicher <olebole@debian.org>  Thu, 20 Oct 2016 10:38:59 +0200

wsclean (1.12-5) unstable; urgency=medium

  * Fix dependencies of libwsclean0 and wsclean

 -- Ole Streicher <olebole@debian.org>  Thu, 20 Oct 2016 10:02:55 +0200

wsclean (1.12-4) unstable; urgency=low

  * Use libcfitsio-dev dependency. Closes: #841214

 -- Ole Streicher <olebole@debian.org>  Wed, 19 Oct 2016 09:15:57 +0200

wsclean (1.12-3) unstable; urgency=low

  * Add static lib to -dev
  * Limit to x86 architectures. Closes: #840037
  * Fix short description of lib and -dev
  * Make uscan more restrictive to exclude path names in version number

 -- Ole Streicher <olebole@debian.org>  Tue, 18 Oct 2016 16:09:46 +0200

wsclean (1.12-2) unstable; urgency=low

  * Build and use shared lib for libwsclean

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Sep 2016 14:28:08 +0200

wsclean (1.12-1) unstable; urgency=low

  * Initial release. Closes: #830124

 -- Ole Streicher <olebole@debian.org>  Tue, 27 Sep 2016 23:28:26 +0200
