=== debian/changelog ===
wsclean (2.4-1build1) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:04:22 +0000

wsclean (2.4-1) unstable; urgency=low

  * New upstream version 2.4
  * Rediff patches
  * Push Standards-Version to 4.0.0. No changes

 -- Ole Streicher <olebole@debian.org>  Sat, 24 Jun 2017 13:46:06 +0200
