=== debian/control ===
--- 
+++ 
@@ -9,15 +9,16 @@
                debhelper (>= 9),
                libboost-dev,
                libboost-filesystem-dev,
+               libboost-program-options-dev,
                libboost-system-dev,
                libboost-thread-dev,
                libcfitsio-dev | libcfitsio3-dev,
                libfftw3-dev,
                libgsl0-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/wsclean.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/wsclean.git
-Homepage: http://sourceforge.net/projects/wsclean/
+Homepage: https://sourceforge.net/projects/wsclean/
 
 Package: wsclean
 Architecture: any
