=== debian/changelog ===
wsclean (2.6-1) unstable; urgency=low

  * Push Standards-Versionto 4.2.0. No changes required
  * Switch back to unstable

 -- Ole Streicher <olebole@debian.org>  Mon, 06 Aug 2018 12:07:06 +0200

wsclean (2.6-1~exp1) experimental; urgency=low

  * Update VCS fields to use salsa.d.o
  * New upstream version 2.6. Rediff patches
  * Push Standards-Version to 4.1.4. No changes needed.
  * Push compat to 11
  * New soname. Upload to experimental.

 -- Ole Streicher <olebole@debian.org>  Mon, 11 Jun 2018 17:53:20 +0200
