=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Ole Streicher <olebole@debian.org>
 Build-Depends: casacore-dev,
                cmake,
-               debhelper (>= 9),
+               debhelper (>= 11),
                libboost-dev,
                libboost-filesystem-dev,
                libboost-program-options-dev,
@@ -15,9 +15,9 @@
                libcfitsio-dev | libcfitsio3-dev,
                libfftw3-dev,
                libgsl0-dev
-Standards-Version: 4.1.2
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/wsclean.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/wsclean.git
+Standards-Version: 4.2.0
+Vcs-Git: https://salsa.debian.org/debian-astro-team/wsclean.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/wsclean
 Homepage: https://sourceforge.net/projects/wsclean/
 
 Package: wsclean
@@ -35,7 +35,7 @@
  joinedly. All operations are performed on the CPU (it is not specialized for
  GPUs).
 
-Package: libwsclean0
+Package: libwsclean2
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -56,7 +56,7 @@
 Package: wsclean-dev
 Architecture: any
 Section: libdevel
-Depends: libwsclean0 (= ${binary:Version}),${misc:Depends}, ${shlibs:Depends}
+Depends: libwsclean2 (= ${binary:Version}),${misc:Depends}, ${shlibs:Depends}
 Recommends: wsclean
 Description: Fast generic widefield interferometric imager (development files)
  WSClean (w-stacking clean) is a fast generic widefield imager. It uses the
