=== debian/changelog ===
wsclean (2.7-1) unstable; urgency=low

  [ Helmut Grohne ]
  * Fix FTCBFS: Fix build/host confusion. (Closes: #929757)

  [ Ole Streicher ]
  * New upstream version 2.7
  * Rediff patches
  * Push Standards-Version to 4.4.0. No changes required.
  * Push compat to 12; switch to debhelper-compat
  * Add HDF5 dependency

 -- Ole Streicher <olebole@debian.org>  Thu, 25 Jul 2019 13:12:28 +0200
