=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Ole Streicher <olebole@debian.org>
 Build-Depends: casacore-dev,
                cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                libboost-dev,
                libboost-filesystem-dev,
                libboost-program-options-dev,
@@ -14,8 +14,9 @@
                libboost-thread-dev,
                libcfitsio-dev | libcfitsio3-dev,
                libfftw3-dev,
-               libgsl0-dev
-Standards-Version: 4.2.0
+               libgsl0-dev,
+               libhdf5-dev
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian-astro-team/wsclean.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/wsclean
 Homepage: https://sourceforge.net/projects/wsclean/
