=== debian/changelog ===
wsclean (2.8-1build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 22:04:06 +0000

wsclean (2.8-1build1) focal; urgency=medium

  * No-change upload for casacore soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Jan 2020 14:02:35 +0000

wsclean (2.8-1) unstable; urgency=low

  * New upstream version 2.8. Rediff patches
  * Add gitlab-ci.yml for salsa

 -- Ole Streicher <olebole@debian.org>  Fri, 20 Sep 2019 11:20:08 +0200
